summaryrefslogtreecommitdiff
path: root/config/essentials
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-10-07 23:03:26 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-10-07 23:03:26 +0200
commitbc97060419c4f70bd88f4b91eab82e0bb09e11c8 (patch)
tree942236a4bdcb59db209b5fcb54e57c99480bd9cb /config/essentials
parent1e755f4db73f1dc9671986c1b5f833eaab21fdc6 (diff)
checkpoint
Diffstat (limited to 'config/essentials')
-rw-r--r--config/essentials/shell/aliases.sh2
-rw-r--r--config/essentials/shell/functions.sh4
-rw-r--r--config/essentials/zsh/.zshrc2
3 files changed, 4 insertions, 4 deletions
diff --git a/config/essentials/shell/aliases.sh b/config/essentials/shell/aliases.sh
index c6bb139..c2c6342 100644
--- a/config/essentials/shell/aliases.sh
+++ b/config/essentials/shell/aliases.sh
@@ -139,7 +139,7 @@ alias ss4='ss -tln4p'
alias mdb='mariadb -u admin -ppass admindb'
alias mdbw='mariadb -h 0.0.0.0 -u padmin -pbulbizarre padmindb'
alias mdbwa='mariadb -h 10.3.50.5 -u padmin -pbulbizarre padmindb'
-alias tmux='pgrep tmux && tmux attach || tmux new-session'
+alias tmux='tmux list-sessions && tmux attach || tmux new-session'
# ssh
alias sha='ssh-add'
diff --git a/config/essentials/shell/functions.sh b/config/essentials/shell/functions.sh
index 0f12206..030778f 100644
--- a/config/essentials/shell/functions.sh
+++ b/config/essentials/shell/functions.sh
@@ -350,13 +350,13 @@ nvim_bindings() {
prj() {
pfx="$HOME/proj"
d="$(find "$pfx" -mindepth 1 -maxdepth 1 -type d | sed "s@$pfx/@@" |fzf)"
- [ -d "$pfx/$d" ] || return 1
+ { [ "$d" ] && [ -d "$pfx/$d" ]; } || return 1
cd "$pfx/$d"
}
prje() {
prj || return 1
f="$(git ls-files | fzf)"
- [ "$f" ] || exit 1
+ [ "$f" ] || return 1
if [ -f "$f" ]
then
"$EDITOR" "$f"
diff --git a/config/essentials/zsh/.zshrc b/config/essentials/zsh/.zshrc
index 878f04d..91fef35 100644
--- a/config/essentials/zsh/.zshrc
+++ b/config/essentials/zsh/.zshrc
@@ -6,7 +6,7 @@ if [ "$(id -u)" -ne 0 ]
then
[ "${TTY%%tty*}" = '/dev/' ] && clear
case "${TTY#/dev/tty}" in
- 1) exec startx > /dev/null 2>&1 ;;
+ 2) exec startx > /dev/null 2>&1 ;;
*) false ;;
esac && exit
fi